One metric per day, optionally against the previous range, split by top creators, or as running totals
GET
/api/public/v1/meta_ads/timeseriesConnectorAnswers empty results in the documented shape until the brand switches on this connection.
Operation id getMetaAdsTimeseries
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/meta_ads/timeseries" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| organization_id | query | integer | |
| start_date | query | string (date) | |
| end_date | query | string (date) | |
| metric | query | string | One of purchase_valuelast_click_revenuecreator_earningsroasspendcpaaovconversionslink_clicksctrthumbstop |
| mode | query | string | One of dailycumulative |
| compare | query | boolean | |
| split | query | string | One of creators |
| limit | query | integer | |
| q | query | string | |
| ads | query | string | One of allactivewith_gmv |
| creator_ids | query | string | |
| campaign_ids | query | string | |
| ad_set_ids | query | string | |
| product_tags | query | string | |
| launched | query | string | One of 71430 |
| quick_view | query | string | One of scalingburningfatiguingnew |
| purchase_value_min | query | number | |
| purchase_value_max | query | number | |
| cpa_min | query | number | |
| cpa_max | query | number | |
| spend_min | query | number | |
| spend_max | query | number | |
| roas_min | query | number | |
| roas_max | query | number | |
| ctr_min | query | number | |
| ctr_max | query | number | |
| thumbstop_min | query | number | |
| thumbstop_max | query | number |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| date_range | object | |
| date_range.end_date | string (date) | |
| date_range.start_date | string (date) | |
| metric | string | |
| mode | string | |
| points | array of object | |
| points[].[].date | string (date) | |
| points[].[].value | number | |
| previous_points | array of object | |
| previous_points[].[].date | string (date) | |
| previous_points[].[].value | number | |
| series | array of object | |
| series[].[].creator | object | |
| series[].[].creator.avatar_url | string, nullable | |
| series[].[].creator.color | string | |
| series[].[].creator.handle | string, nullable | |
| series[].[].creator.id | integer | |
| series[].[].creator.name | string | |
| series[].[].points | array of object | |
| series[].[].points[].[].date | string (date) | |
| series[].[].points[].[].value | number | |
| series[].[].value | number | |
| success | boolean |
Example
{
"date_range": {
"end_date": "2026-11-01",
"start_date": "2026-11-01"
},
"metric": "string",
"mode": "string",
"points": [
{
"date": "2026-11-01",
"value": 125.5
}
],
"previous_points": [
{
"date": "2026-11-01",
"value": 125.5
}
],
"series": [
{
"creator": {
"avatar_url": "https://example.com/p/1",
"color": "string",
"handle": "string",
"id": 1024,
"name": "Example name"
},
"points": [
{
"date": "2026-11-01",
"value": 125.5
}
],
"value": 125.5
}
],
"success": true
}Errors: 401404422429with an error and usually a message. See errors.
Example values are made up from each field's type and name.